Debian Bug report logs - #178203
dpkg-dev: dpkg-shlibdeps should report only the strictest of multiple versioned dependencies on the same package

version graph

Package: dpkg-dev; Maintainer for dpkg-dev is Dpkg Developers <debian-dpkg@lists.debian.org>; Source for dpkg-dev is src:dpkg.

Reported by: Christian Marillat <marillat@debian.org>

Date: Fri, 24 Jan 2003 13:18:01 UTC

Severity: normal

Tags: patch

Merged with 186809, 222652, 386439

Found in version 1.10.9

Fixed in version dpkg/1.14.8

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org:
Bug#178203; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Christian Marillat <marillat@debian.org>:
New Bug report received and forwarded. Copy sent to Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Marillat <marillat@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xlibs: shlibs generate two xlibs dependencies with dpkg-shlibdeps
Date: Fri, 24 Jan 2003 14:04:10 +0100
Package: xlibs
Version: 4.2.1-5
Severity: normal

Hi,

When building vte, lintian complain :

E: libvte4: package-has-a-duplicate-relation xlibs (>> 4.1.0), xlibs (>>
4.2.0)

And de Depends field contains :

Depends: libatk1.0-0 (>= 1.2.2), libc6 (>= 2.3.1-1), libfontconfig1 (>=
2.1), libfreetype6 (>= 2.1.3-5), libglib2.0-0 (>= 2.2.0), libgtk2.0-0 (>=
2.2.0), libncurses5 (>= 5.3.20021109-1), libpango1.0-0 (>= 1.2.0), libxft2
(>= 2.1), xlibs (>> 4.1.0), xlibs (>> 4.2.0), zlib1g (>= 1:1.1.4),
libvte-common (= 0.10.14-1)


Christian

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux falcon.wanadoo.fr 2.4.20 #1 sam jan 4 15:38:59 CET 2003 i686
Locale: LANG=fr_FR@euro, LC_CTYPE=fr_FR@euro

Versions of packages xlibs depends on:
ii  libc6                         2.3.1-10   GNU C Library: Shared libraries an
ii  libfreetype6                  2.1.3-6    FreeType 2 font engine, shared lib
ii  xfree86-common                4.2.1-5    X Window System (XFree86) infrastr

-- no debconf information




Bug reassigned from package `xlibs' to `dpkg-dev'. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist'. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Christian Marillat <marillat@debian.org>:
Bug#178203. Full text and rfc822 format available.

Message #14 received at 178203-submitter@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 178203-submitter@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#178203: xlibs: shlibs generate two xlibs dependencies with dpkg-shlibdeps
Date: Fri, 24 Jan 2003 17:05:24 -0500
[Message part 1 (text/plain, inline)]
reassign 178203 dpkg-dev
retitle 178203 dpkg-dev: dpkg-shlibdeps should report only the strictest of multiple versioned dependencies on the same package
severity 178203 wishlist
thanks

On Fri, Jan 24, 2003 at 02:04:10PM +0100, Christian Marillat wrote:
> Package: xlibs
> Version: 4.2.1-5
> Severity: normal
> 
> Hi,
> 
> When building vte, lintian complain :
> 
> E: libvte4: package-has-a-duplicate-relation xlibs (>> 4.1.0), xlibs (>>
> 4.2.0)
> 
> And de Depends field contains :
> 
> Depends: libatk1.0-0 (>= 1.2.2), libc6 (>= 2.3.1-1), libfontconfig1 (>=
> 2.1), libfreetype6 (>= 2.1.3-5), libglib2.0-0 (>= 2.2.0), libgtk2.0-0 (>=
> 2.2.0), libncurses5 (>= 5.3.20021109-1), libpango1.0-0 (>= 1.2.0), libxft2
> (>= 2.1), xlibs (>> 4.1.0), xlibs (>> 4.2.0), zlib1g (>= 1:1.1.4),
> libvte-common (= 0.10.14-1)

This is caused by the fact that there are multiple libraries in the
xlibs package.  Some have interfaces that have changed since 4.1.0 was
released, and others haven't.  This isn't a duplication, so strictly
speaking I do not feel this is a bug.

One fix for this sort of problem is to never have more than one shared
library in a given package.

Another fix is to have dpkg-shlibdeps attempt more comprehension of what
it's doing before it generates output.

Incidentally, this particular instantiation of this dpkg-dev bug will be
resolved in xfree86 4.2.1-6 when I split xlibs into one package per
shared library.  However I continue to feel that what you're complaining
about is really a dpkg-shlibdeps in bug.  Policy doesn't forbid xlibs's
current behavior, and so dpkg should support it.

-- 
G. Branden Robinson                |
Debian GNU/Linux                   |           If existence exists,
branden@debian.org                 |           why create a creator?
http://people.debian.org/~branden/ |
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>, dpkg@packages.qa.debian.org:
Bug#178203; Package dpkg-dev. Full text and rfc822 format available.

Acknowledgement sent to peter@hawkins.emu.id.au (Peter Hawkins):
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>, dpkg@packages.qa.debian.org. Full text and rfc822 format available.

Message #19 received at 178203@bugs.debian.org (full text, mbox):

From: peter@hawkins.emu.id.au (Peter Hawkins)
To: 178203@bugs.debian.org
Cc: control@bugs.debian.org
Subject: #178203 should have a higher severity
Date: Sun, 9 Feb 2003 13:03:29 +1100
severity 178203 normal
thanks

Lintian reports this problem as an error. Either lintian's severity for
this check ...
E: libkdec1: package-has-a-duplicate-relation xlibs (>> 4.1.0), xlibs
(>> 4.2.0)
N:
N:   The package seems to declare a relation on another package which is
N:   already implied by other relations it declares, and is therefore
N:   redundant. This is not only sloppy but can break some tools.
N:

... should be downgraded (in which case this bug should be copied to
lintian), or it treated as a normal bug against dpkg-dev. I'm inclined
to think that it would be better to fix dpkg-dev.

Thanks,
Peter




Severity set to `normal'. Request was from peter@hawkins.emu.id.au (Peter Hawkins) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>, dpkg@packages.qa.debian.org:
Bug#178203; Package dpkg-dev. Full text and rfc822 format available.

Acknowledgement sent to Josip Rodin <joy@gkvk.hr>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>, dpkg@packages.qa.debian.org. Full text and rfc822 format available.

Message #26 received at 178203@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@gkvk.hr>
To: Peter Hawkins <peter@hawkins.emu.id.au>, 178203@bugs.debian.org
Subject: Re: Bug#178203: #178203 should have a higher severity
Date: Sun, 9 Feb 2003 13:37:35 +0100
On Sun, Feb 09, 2003 at 01:03:29PM +1100, Peter Hawkins wrote:
> Lintian reports this problem as an error. Either lintian's severity for

Lintian has no severities. The difference between E and W is in how sure
Lintian is that the problem it's seeing is certain.

> E: libkdec1: package-has-a-duplicate-relation xlibs (>> 4.1.0), xlibs (>> 4.2.0)
> 
> I'm inclined to think that it would be better to fix dpkg-dev.

While it would be nice for dpkg-dev to uniq these, the real bug is in
library packages' shlibs files.

-- 
     2. That which causes joy or happiness.



Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>, dpkg@packages.qa.debian.org:
Bug#178203; Package dpkg-dev. Full text and rfc822 format available.

Acknowledgement sent to Thomas Viehmann <tv@beamnet.de>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>, dpkg@packages.qa.debian.org. Full text and rfc822 format available.

Message #31 received at 178203@bugs.debian.org (full text, mbox):

From: Thomas Viehmann <tv@beamnet.de>
To: 178203@bugs.debian.org
Subject: patch for178203 - dpkg-dev: dpkg-shlibdeps should report only the strictest of multiple versioned dependencies on the same package
Date: Thu, 27 Mar 2003 18:56:19 +0100
[Message part 1 (text/plain, inline)]
I've tried to put together a patch for this.
It gets the dependencies right for my /usr/bin/*, but might need more review.

Cheers

T.
[dpkg-shlibdeps.178203.multiple-shlibdeps (text/plain, inline)]
--- /usr/bin/dpkg-shlibdeps	Sun Sep 15 20:36:46 2002
+++ /semitmp/dpkg/dpkg-shlibdeps	Thu Mar 27 18:51:31 2003
@@ -221,6 +221,11 @@
           "dependency field $libf[$i])");
 }
 
+sub doesmatch {
+    my ($ver1, $cmp, $ver2) = @_;
+    return ! system("dpkg", "--compare-versions",$ver1,$cmp,$ver2);
+}
+
 sub scanshlibsfile {
     my ($fn,$ln,$lsn,$lf) = @_;
     my ($da,$dv,$dk);
@@ -241,10 +246,63 @@
         $da= $';
         for $dv (split(/,/,$da)) {
             $dv =~ s/^\s+//; $dv =~ s/\s+$//;
+            (my $dv_pkg, my $dv_vercmp, my $dv_version) = $dv =~ /^([a-zA-Z0-9+-.]+)(?:\s*\(([<>=]+)\s*([^)\s]+)\s*\))?/;
+            my $dv_cmpfirst = substr($dv_vercmp,0,1);
             if (defined($depstrength{$lf})) {
-                if (!defined($predefdepfdep{$dv}) ||
-                    $depstrength{$predefdepfdep{$dv}} < $depstrength{$lf}) {
-                    $predefdepfdep{$dv}= $lf;
+                if ($dv !~ m/\|/) {
+                my $issubstantial = 1; # is this really new information?
+                for my $adepfield (@depfields[$depstrength{$lf}-1..$#depfields-1]) {
+                  if (defined($newdep{$adepfield}) && defined($newdep{$adepfield}{$dv_pkg})) {
+                    if ($dv_vercmp eq "") { $issubstantial = 0; }
+                    if ($issubstantial && defined($newdep{$adepfield}{$dv_pkg}{"="})
+                        && doesmatch($newdep{$adepfield}{$dv_pkg}{"="}[1], $dv_vercmp, $dv_version)) {
+                      $issubstantial = 0;
+                    }
+                    if ($issubstantial && $dv_cmpfirst ne "=" && 
+                        defined($newdep{$adepfield}{$dv_pkg}{$dv_cmpfirst})) {
+                      my $neededcmp = $dv_vercmp;
+                      if ($dv_cercmp eq $newdep{$adepfield}{$dv_pkg}{$dv_cmpfirst}) {
+                        $neededcmp = $dv_cmpfirst."=";
+                      }
+                      if (doesmatch($newdep{$adepfield}{$dv_pkg}{$dv_cmpfirst}[1],
+                                   $neededcmp, $dv_version)) {
+                        $issubstantial = 0;
+                      }
+                    }
+                  }
+                }
+                if ($issubstantial) {
+                  $newdep{$lf}{$dv_pkg}{$dv_cmpfirst} = [$dv_vercmp,$dv_version];
+                  # Delete Obsolete
+                  # only unversined dependcy could be left to delete at depstrength of current version
+                  if ($dv_vercmp ne "" && defined($newdep{$lf}{$dv_pkg}{""})) {
+                    undefine($newdep{$lf}{$dv_pkg}{""});
+                  }
+                  for my $adepfield (@depfields[0..$depstrength{$lf}-2]) {
+                    if (defined($newdep{$adepfield}) && defined($newdep{$adepfield}{$dv_pkg})) {
+                      if (defined($newdep{$adepfield}{$dv_pkg}{""})) {
+                        undefine($newdep{$adepfield}{$dv_pkg}{""});
+                      }
+                      if ($dv_vercmp eq "=" && defined($newdep{$adepfield}{$dv_pkg}{"="})
+                          && doesmatch($newdep{$adepfield}{$dv_pkg}{"="}[1], "=", $dv_version)) {
+                        undefine($newdep{$adepfield}{$dv_pkg}{"="});                        
+                      }
+                      if (($dv_cmpfirst eq ">" || $dv_cmpfirst eq "<") && 
+                           defined($newdep{$adepfield}{$dv_pkg}{$dv_cmpfirst})) {
+                        my $neededcmp = defined($newdep{$adepfield}{$dv_pkg}{$dv_cmpfirst});
+                        if ($dv_cercmp eq $newdep{$adepfield}{$dv_pkg}{$dv_cmpfirst}) {
+                          $neededcmp = $dv_cmpfirst."=";
+                        }
+                        if (doesmatch($dv_version, $neededcmp, 
+                                      $newdep{$adepfield}{$dv_pkg}{$dv_cmpfirst}[1])) {
+                          undefine($newdep{$adepfield}{$dv_pkg}{$dv_cmpfirst});                        
+                        }
+                      }
+                    }
+                  }
+                }}
+                else { # cannot handle |s, so I'll just take them...
+                  $newdep{$lf}{$dv_pkg}{'|'}{$dv} = $dv;
                 }
             } else {
                 $dk= "$lf: $dv";
@@ -280,14 +338,31 @@
 } else {
     $fh= 'STDOUT';
 }
+
+for $lf (keys %newdep) {
+    print $lf."\n";
+    for $apkg (sort keys %{$newdep{$lf}}) {
+	for $aop (sort keys %{$newdep{$lf}{$apkg}}) {
+            $newdefdepf{$lf}.= ', ' if length($newdefdepf{$lf});
+            if ($aop ne '|') {
+		$newdefdepf{$lf}.= $apkg;
+		$newdefdepf{$lf}.= " (".join(' ', @{$newdep{$lf}{$apkg}{$aop}}).")" if length($aop);
+	    }
+            else {
+		$newdefdepf{$lf} .= join(', ',sort keys %{$newdep{$lf}{$apkg}{$aop}});
+	    }
+        }
+    }
+}
+
 for $dv (sort keys %predefdepfdep) {
     $lf= $predefdepfdep{$dv};
     $defdepf{$lf}.= ', ' if length($defdepf{$lf});
     $defdepf{$lf}.= $dv;
 }
 for $lf (reverse @depfields) {
-    next unless defined($defdepf{$lf});
-    print($fh "$varnameprefix:$lf=$defdepf{$lf}\n")
+    next unless defined($newdefdepf{$lf});
+    print($fh "$varnameprefix:$lf=$newdefdepf{$lf}\n")
         || syserr("write output entry");
 }
 for $lf (sort keys %unkdepf) {
[Message part 3 (application/pgp-signature, inline)]

Tags added: patch Request was from Thomas Viehmann <tv@beamnet.de> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `important'. Request was from Adam Heath <doogie@brainfood.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#178203; Package dpkg-dev. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 178203@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Branden Robinson <branden@debian.org>
Cc: 178203-submitter@bugs.debian.org, 178203@bugs.debian.org
Subject: Re: Bug#178203: xlibs: shlibs generate two xlibs dependencies with dpkg-shlibdeps
Date: Mon, 14 Jun 2004 21:47:46 +0200
retitle 178203 dpkg-gencontrol should report only the strictest of multiple versioned dependencies on the same package
thanks

On Fri, Jan 24, 2003 at 05:05:24PM -0500, Branden Robinson wrote:
> Another fix is to have dpkg-shlibdeps attempt more comprehension of what
> it's doing before it generates output.

Actually, this problem is more broad than only within shlibdeps. For
example, my package for a certain reason _requires_ libbaz (>= 2.2), but
shlibdeps gives >=2.1. Then I specify:

Depends: libbaz (>= 2.2), ${shlibs:Depends}

with yields duplicates. More commonly occurs if you have
${misc:Depends}, which typically adds a certain debhelper version, but
you might be for any other reason requiring an even newer one.

So, I propose to add code to dpkg-gencontrol, which does the substvar
substitution which causes those duplicates, to handle this issue, which
also very likely leads to a more clean solution.
 
--Jeroen

-- 
Jeroen van Wolffelaar
jeroen@wolffelaar.nl
http://jeroen.A-Eskwadraat.nl



Message sent on to Christian Marillat <marillat@debian.org>:
Bug#178203. Full text and rfc822 format available.

Severity set to `normal'. Request was from Scott James Remnant <scott@netsplit.com> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 178203 222652. Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: patch Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 178203 186809 222652. Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: patch Request was from Nicolas Fran├žois <nicolas.francois@centraliens.net> to control@bugs.debian.org. Full text and rfc822 format available.

Forcibly Merged 178203 186809 222652 386439. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Tue, 15 May 2007 02:39:02 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Fri, 19 Oct 2007 07:42:01 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Fri, 19 Oct 2007 07:42:03 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Fri, 19 Oct 2007 07:42:04 GMT) Full text and rfc822 format available.

Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Christian Marillat <marillat@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #66 received at 178203-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 178203-close@bugs.debian.org
Subject: Bug#178203: fixed in dpkg 1.14.8
Date: Mon, 19 Nov 2007 09:32:03 +0000
Source: dpkg
Source-Version: 1.14.8

We believe that the bug you reported is fixed in the latest version of
dpkg, which is due to be installed in the Debian FTP archive:

dpkg-dev_1.14.8_all.deb
  to pool/main/d/dpkg/dpkg-dev_1.14.8_all.deb
dpkg_1.14.8.dsc
  to pool/main/d/dpkg/dpkg_1.14.8.dsc
dpkg_1.14.8.tar.gz
  to pool/main/d/dpkg/dpkg_1.14.8.tar.gz
dpkg_1.14.8_i386.deb
  to pool/main/d/dpkg/dpkg_1.14.8_i386.deb
dselect_1.14.8_i386.deb
  to pool/main/d/dpkg/dselect_1.14.8_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 178203@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated dpkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 19 Nov 2007 10:36:30 +0200
Source: dpkg
Binary: dpkg dselect dpkg-dev
Architecture: source i386 all
Version: 1.14.8
Distribution: unstable
Urgency: low
Maintainer: Dpkg Developers <team@dpkg.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 dpkg       - package maintenance system for Debian
 dpkg-dev   - package building tools for Debian
 dselect    - user tool to manage Debian packages
Closes: 10807 41907 48208 80340 109954 178203 186809 222652 382673 383916 395942 430367 431597 445852 445858 446119 446278 446501 446624 447476 448353 448354
Changes: 
 dpkg (1.14.8) unstable; urgency=low
 .
   [ Raphael Hertzog ]
   * Heavy rework of dpkg-shlibdeps:
     - Support "symbols" files to generate finer-grained dependencies.
       Those files can be created by the new dpkg-gensymbols command.
       Closes: #430367
     - Uses now all paths in RPATH (instead of only the first).
       Closes: #395942
     - Support parsing include directives in /etc/ld.so.conf. Closes: #431597
     - Libraries are also searched in the public directories of packages
       being built and thus debian/shlibs.local can effectively define
       dependencies for libraries that are being built. Closes: #80340
     - "symbols" files use the full SONAME as key instead of splitting it in
       (name, version) like in the "shlibs" format. This allows binaries to
       be linked with unversioned libraries and not fail. Note that
       unversioned libraries are still a very bad idea.  Closes: #48208
     - dpkg-shlibdeps now supports '-x<package>' options that can be used to
       exclude packages from generated dependencies (use with care though).
       Closes: #41907, #109954
     - If dpkg-shlibdeps doesn't find any dependency information for a
       shared library that is actively used, then it will fail. This can be
       disabled with the option '--ignore-missing-info'. Closes: #10807
   * Switch perl programs to use the new Dpkg::Deps module. This changes the
     behaviour of dpkg-gencontrol and dpkg-source which will rewrite and
     simplify dependencies and build dependencies as possible. Multiple
     dependencies on the same package are replaced by their intersection.
     Closes: #178203, #186809, #222652
 .
   [ Frank Lichtenheld ]
   * Add $(MAKE) check to build target
   * Allow to use other compressions than gzip on dpkg-source -b
     (NOTE: this will result in a Format: 2.0 source package!).
     Closes: #382673
   * Various small fixes to the manpages suggested by Helge Kreutzmann.
     Closes: #445858
   * Fix Dpkg::BuildOptions (and thereby dpkg-buildpackage) to really
     set DEB_BUILD_OPTIONS. Found by Daniel Shepler. Closes: #446119
   * Change some ' in shell code in dpkg-source.1 and dpkg-query.1 to
     proper \(aq. Reported by Daniel van Eeden. Closes: #447476
 .
   [ Guillem Jover ]
   * Use shipped perl modules when calling perl programs at build time.
   * Switch perl programs to use the new Dpkg::ErrorHandling and Dpkg::Arch
     perl modules.
   * Add support for format strings in Dpkg::ErrorHandling functions.
   * Move build and host arch detection code from dpkg-architecture to
     Dpkg::Arch.
   * Add initial udeb support:
     - Support new fields fields Package-Type, Subarchitecture, Kernel-Version
       and Installer-Menu-Item. Closes: #383916
     - New '--type' option for dpkg-scanpackages.
   * Make dpkg-dev Conflict on dpkg-cross << 2.0.0 which was sourcing
     dpkg-buildpackage expecting it to be a shell script. Closes: #445852
   * Get rid of undefined macros from man pages. Thanks to Colin Watson
     for the analysis.
 .
   [ Updated dselect translations ]
   * Czech (Miroslav Kure).
 .
   [ Added dpkg translations ]
   * Thai (Theppitak Karoonboonyanan). Closes: #446501
 .
   [ Updated dpkg translations ]
   * Czech (Miroslav Kure).
   * Galician (Jacobo Tarrio). Closes: #446624
   * Polish (Robert Luberda).
   * Russian (Yuri Kozlov). Closes: #446278
 .
   [ Updated man pages translations ]
   * German (Helge Kreutzmann). Closes: #448354
   * Polish (Robert Luberda).
   * Swedish (Peter Karlsson).
 .
   [ Added scripts translations ]
   * German (Helge Kreutzmann). Closes: #448353
 .
   [ Updated scripts translations ]
   * Polish (Robert Luberda).
   * Swedish (Peter Karlsson).
Files: 
 4c245a5f63d695e6ceaeff5b37333c0a 995 admin required dpkg_1.14.8.dsc
 7dddfe562f9ad16f39007a9093ddc9a0 6268334 admin required dpkg_1.14.8.tar.gz
 fc0ebdf0f00a6db4eaf6f9217f07e6ea 2146332 admin required dpkg_1.14.8_i386.deb
 22329b04954c47499c67216340d95d51 511550 admin required dselect_1.14.8_i386.deb
 d4eaadd0ba58ee0849d6a1ab6dc7b4f7 316462 utils optional dpkg-dev_1.14.8_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHQVTouW9ciZ2SjJsRAgfCAKDiv/YMAKImMXlNX4f55rHdFb0KpQCdGB+0
Z3G4vlUzhfspXNheLJCvx4I=
=tSPx
-----END PGP SIGNATURE-----





Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jean-Michel Kelbert <kelbert@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Branden Robinson <branden@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to martin f krafft <madduck@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 19 Jan 2008 07:25:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:26:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.